Package com.avaya.clientservices.collaboration

## Class CollaborationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.collaboration.CollaborationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CollaborationException
      extends java.lang.Exception

  Exception representing a collaboration failure.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CollaborationException​(CollaborationError error)` |
    `CollaborationException​(CollaborationError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |
    `CollaborationException​(CollaborationFailure failure)` |
    `CollaborationException​(java.lang.String detailMessage, CollaborationError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CollaborationError` | `getError()` | Returns collaboration error type.
    `int` | `getProtocolErrorCode()` | Returns the error code from the underlying signaling protocol.
    `java.lang.String` | `getProtocolErrorReason()` | Returns the error reason string from the underlying signaling protocol.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CollaborationException

          public CollaborationException​(CollaborationFailure failure)

    - #### CollaborationException

          public CollaborationException​(CollaborationError error)

    - #### CollaborationException

          public CollaborationException​(CollaborationError error,
                                        int protocolErrorCode,
                                        java.lang.String protocolErrorReason)

    - #### CollaborationException

          public CollaborationException​(java.lang.String detailMessage,
                                        CollaborationError error,
                                        int protocolErrorCode,
                                        java.lang.String protocolErrorReason)

  - ### Method Detail

    - #### getError

          public CollaborationError getError()

      Returns collaboration error type.
      Returns:
        error type.

    - #### getProtocolErrorCode

          public int getProtocolErrorCode()

      Returns the error code from the underlying signaling protocol.
      Returns:
        protocol error code.

    - #### getProtocolErrorReason

          public java.lang.String getProtocolErrorReason()

      Returns the error reason string from the underlying signaling protocol.
      Returns:
        protocol error reason.